
Foreman - Feature #1082

Fix inconsistent icons between Hosts summary and Report summary views

08/02/2011 08:45 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Reporting   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm listing this one as a Feature Request, as there's no actual bug - just misleading data.

If a host records changes on it's last run, the Report Summary will show a "changed" icon next to the link to the report. However, the

Hosts summary will show a "tick". This is because the "tick" actually means something completely different in the Host context (i.e no

errors vs. no changes).

I think it's useful for the Hosts page to use the same icons as the Reports page, so that the information is presented consistently -

that is, the Host page should show the same icon as the Report page. This would allow at-a-glance checking of the status of saved

searches - consider deploying a module that only affects a certain fact, and then searching on that fact to ensure all hosts applied the

changes....

Patch to follow :)

Associated revisions

Revision 7875667c - 08/07/2011 02:37 AM - Ohad Levy

fixes #1082 - Fix inconsistent icons between Hosts summary and Report summary views

Signed-off-by: Greg Sutcliffe <gsutcliffe@gmail.com>

History

#1 - 08/07/2011 05:50 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 7875667ceba75aa22121658e3efc5ad50de3bef2.

#2 - 08/07/2011 03:06 PM - Ohad Levy

- Category set to Reporting

- Assignee set to Greg Sutcliffe

- Target version set to 0.4
